MONGOC_TOPOLOGY_DESCRIPTION_T(3)

NAME
mongoc_topology_description_t - mongoc_topology_description_t

Status of MongoDB Servers

SYNOPSIS

typedef struct _mongoc_topology_description_t mongoc_topology_description_t;

mongoc_topology_description_t is an opaque type representing the driver's knowledge of the MongoDB server or servers it is connected to. Its API conforms to the SDAM Monitoring Specification.

Applications receive a temporary reference to a mongoc_topology_description_t as a parameter to an SDAM Monitoring callback. See Introduction to Application Performance Monitoring.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc